# -*- coding: utf-8 -*-

# Copyright (c) 2004 - 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a Perl lexer with some additional methods.
"""

from qtext import QextScintillaLexerPerl
from qt import *

from Lexer import Lexer

class LexerPerl(QextScintillaLexerPerl, Lexer):
    """ 
    Subclass to implement some additional lexer dependant methods.
    """
    def __init__(self, parent=None, name=None):
        """
        Constructor
        
        @param parent parent widget of this lexer
        @param name name of this lexer
        """
        QextScintillaLexerPerl.__init__(self, parent, name)
        Lexer.__init__(self)
        
        self.commentString = QString("##")
